%global momorel 2

Name:           perl-Catalyst-Plugin-Authentication-Store-DBIC
Version:        0.07
Release:        %{momorel}m
Summary:        Authentication and authorization against a DBIx::Class or Class::DBI model
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-Authentication-Store-DBIC/
Source0:        http://www.cpan.org/authors/id/D/DK/DKAMHOLZ/Catalyst-Plugin-Authentication-Store-DBIC-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl(Catalyst) >= 5.49
BuildRequires:  perl(Catalyst::Plugin::Authentication) >= 0.06
BuildRequires:  perl(Catalyst::Plugin::Authorization::Roles) >= 0.03
BuildRequires:  perl(Catalyst::Plugin::Session::State::Cookie) >= 0.02
BuildRequires:  perl(Class::DBI)
BuildRequires:  perl(DBI)
BuildRequires:  perl(DBIx::Class)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Set::Object) >= 1.14
BuildRequires:  perl(Test::WWW::Mechanize::Catalyst)
Requires:       perl(Catalyst) >= 5.49
Requires:       perl(Catalyst::Plugin::Authentication) >= 0.06
Requires:       perl(Catalyst::Plugin::Authorization::Roles) >= 0.03
Requires:       perl(Catalyst::Plugin::Session::State::Cookie) >= 0.02
#Requires:       perl(Class::DBI)
Requires:       perl-Class-DBI
Requires:       perl(DBI)
Requires:       perl(DBIx::Class)
Requires:       perl(Set::Object) >= 1.14
Requires:       perl(Test::WWW::Mechanize::Catalyst)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This plugin uses a DBIx::Class (or Class::DBI) object to
authenticate a user.

%prep
%setup -q -n Catalyst-Plugin-Authentication-Store-DBIC-%{version}

%build
%{__perl} Build.PL installdirs=site
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_sitelib}/*/*/*/*/*
%{perl_sitelib}/*/*/*/*/*/*
%{_mandir}/man3/*

%changelog
* Sat Oct 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.07-2m)
- delete dupclicate directory

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.07-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
